## NAME

CURLMOPT_PIPELINING_SITE_BL - pipelining host blacklist

## SYNOPSIS

#include <curl/curl.h>

CURLMcode curl_multi_setopt(CURLM *handle, CURLMOPT_PIPELINING_SITE_BL, char **hosts);

## DESCRIPTION

Pass a hosts array of char *, ending with a NULL entry. This is a list of sites that are blacklisted from pipelining, i.e sites that are known to not support HTTP pipelining. The array is copied by libcurl.

Pass a NULL pointer to clear the blacklist.

## DEFAULT

The default value is NULL, which means that there is no blacklist.

## PROTOCOLS

HTTP(S)

## EXAMPLE

      site_blacklist[] =
      {
        "www.haxx.se",
        "www.example.com:1234",
        NULL
      };

      curl_multi_setopt(m, CURLMOPT_PIPELINING_SITE_BL, site_blacklist);

## AVAILABILITY

Added in 7.30.0

## RETURN VALUE

Returns CURLM_OK if the option is supported, and CURLM_UNKNOWN_OPTION if not.

## SEE ALSO

CURLMOPT_PIPELINING, CURLMOPT_PIPELINING_SERVER_BL

This HTML page was made with roffit.